# Class Count

java.lang.Object
mpi.Count

All Implemented Interfaces:
  `Comparable`

public final class Count extends Object implements Comparable
This class represents `MPI_Count`.

## Constructor Summary

Constructors
Constructor
Description
`Count(long count)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object obj)`
`boolean`
`equals(Object obj)`
`long`
`getCount()`
Gets value associated with this Count object.
`void`
`setCount(long count)`
Sets the value associated with this Count object.

### Methods inherited from class Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Count

public Count(long count)

## Method Details

### getCount

public long getCount()
Gets value associated with this Count object.

Returns:
  Count value

### setCount

public void setCount(long count)
Sets the value associated with this Count object.

Parameters:
  `count` - the value to set for this count object

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### compareTo

public int compareTo(Object obj)

Specified by:
  `compareTo` in interface `Comparable`